Files
Upload PDF
Upload a PDF file (max size 50MB) for Esign.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication — paste your access token below.
In: header
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
file*file
The PDF file to upload (max 50MB).
Format
binaryResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/files/upload-pdf" \ -F file="string"{ "data": { "user_id": "user_xxx", "client_id": "file_xxx", "name": "Form_26.pdf", "mime": "application/pdf" }, "status_code": 200, "message": "Success", "success": true}LLMs.txt
AI-readable versions of this documentation for ChatGPT, Claude, Cursor, and other tools.
Upload asset POST
Upload an image asset (JPEG or PNG). Use the returned `client_id` as: - `face_ref_file_id` on a signer to enable face verification, or - the `value` of an `image` element placed on the document.